## maven 3.6.2

=== debian/changelog ===
maven (3.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 08 Sep 2019 17:46:29 +0200

=== debian/control ===
Source: maven
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Emmanuel Bourg <ebourg@apache.org>,
 Stephen Kitt <skitt@debian.org>
Build-Depends:
 debhelper (>= 11),
 default-jdk,
 junit4,
 libcommons-cli-java (>= 1.4),
 libcommons-jxpath-java,
 libcommons-lang3-java (>= 3.4-2~),
 libcommons-logging-java,
 libeasymock-java,
 libgeronimo-annotation-1.3-spec-java,
 libguice-java (>= 4.0),
 liblogback-java,
 libmaven-parent-java (>= 31-2~),
 libmaven-resolver-java,
 libmaven-shade-plugin-java,
 libmaven-shared-utils-java (>= 3.2.1),
 libmockito-java,
 libmodello-maven-plugin-java (>= 1.10),
 libplexus-classworlds-java (>= 2.5.2),
 libplexus-component-annotations-java (>= 1.7.1-6~),
 libplexus-component-metadata-java (>= 1.7),
 libplexus-interpolation-java (>= 1.24),
 libplexus-utils2-java (>= 3.2),
 libsisu-maven-plugin-java,
 libsisu-plexus-java (>= 0.3.3),
 libslf4j-java (>= 1.7.25),
 libsurefire-java (>= 2.17),
 libwagon-file-java,
 libwagon-http-java,
 libwagon-http-shaded-java,
 libwagon-provider-api-java,
 libxmlunit-java,
 maven-debian-helper
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/java-team/maven.git
Vcs-Browser: https://salsa.debian.org/java-team/maven
Homepage: http://maven.apache.org

Package: libmaven3-core-java
Architecture: all
Depends: ${misc:Depends}, ${maven:Depends}
Suggests: ${maven:OptionalDepends}
Replaces: maven (<< 3.0.5-7)
Breaks: maven (<< 3.0.5-7), gradle (<< 3.2.1-3~)
Description: Core libraries for Maven 3
 Maven is a software project management and comprehension tool. Based on the
 concept of a project object model (POM), Maven can manage a project's build,
 reporting and documentation from a central piece of information.
 .
 Maven's primary goal is to allow a developer to comprehend the complete
 state of a development effort in the shortest period of time. In order to
 attain this goal there are several areas of concern that Maven attempts
 to deal with:
 .
    * Making the build process easy
    * Providing a uniform build system
    * Providing quality project information
    * Providing guidelines for best practices development
    * Allowing transparent migration to new features
 .
 This package contains the core libraries for Maven 3.

Package: maven
Architecture: all
Depends:
 default-jre-headless (>= 2:1.7) | java7-runtime-headless,
 libjansi-java,
 libmaven3-core-java (= ${source:Version}),
 libwagon-file-java,
 libwagon-http-shaded-java,
 ${misc:Depends}
Replaces: maven2 (<< 2.2.1-11)
Breaks: maven2 (<< 2.2.1-11)
Description: Java software project management and comprehension tool
 Maven is a software project management and comprehension tool. Based on the
 concept of a project object model (POM), Maven can manage a project's build,
 reporting and documentation from a central piece of information.
 .
 Maven's primary goal is to allow a developer to comprehend the complete
 state of a development effort in the shortest period of time. In order to
 attain this goal there are several areas of concern that Maven attempts
 to deal with:
 .
    * Making the build process easy
    * Providing a uniform build system
    * Providing quality project information
    * Providing guidelines for best practices development
    * Allowing transparent migration to new features

## maven 3.6.3

=== debian/changelog ===
maven (3.6.3-5) unstable; urgency=medium

  * Removed the rule replacing the Guice no_aop dependency in the poms
    (Closes: #982466)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 10 Feb 2021 15:59:15 +0100

maven (3.6.3-4) unstable; urgency=medium

  * Switch to eclipse-sisu-maven-plugin

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 09 Feb 2021 10:49:40 +0100

maven (3.6.3-3) unstable; urgency=medium

  * Fixed the mh_resolve_dependencies error truncating the package dependencies
    (Closes: #980526)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 20 Jan 2021 08:35:59 +0100

maven (3.6.3-2) unstable; urgency=medium

  * Depend on Guice no_aop (Closes: #948310, #980467)
  * Fixed the name of the bash completion script
  * Fixed the bash completion of the dependency plugin (Closes: #677989)
  * Fixed the versioned dependency on libplexus-utils2-java (Closes: #948286)
  * Tightened the dependency on libsisu-plexus-java (>= 0.3.4)
  * Standards-Version updated to 4.5.1
  * Switch to debhelper level 13

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 19 Jan 2021 18:58:13 +0100

maven (3.6.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #946737)
    - Refreshed the patches
  * Enabled the bash completion for the Maven wrapper 'mvnw' (Closes: #949010)
  * Standards-Version updated to 4.5.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 27 Jan 2020 22:19:47 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Emmanuel Bourg <ebourg@apache.org>,
  Stephen Kitt <skitt@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  default-jdk,
  junit4,
  libcommons-cli-java (>= 1.4),
@@ -14,8 +14,9 @@
  libcommons-lang3-java (>= 3.4-2~),
  libcommons-logging-java,
  libeasymock-java,
+ libeclipse-sisu-maven-plugin-java (>= 0.3.4),
  libgeronimo-annotation-1.3-spec-java,
- libguice-java (>= 4.0),
+ libguice-java (>= 4.2.3-2~),
  liblogback-java,
  libmaven-parent-java (>= 31-2~),
  libmaven-resolver-java,
@@ -28,8 +29,7 @@
  libplexus-component-metadata-java (>= 1.7),
  libplexus-interpolation-java (>= 1.24),
  libplexus-utils2-java (>= 3.2),
- libsisu-maven-plugin-java,
- libsisu-plexus-java (>= 0.3.3),
+ libsisu-plexus-java (>= 0.3.4),
  libslf4j-java (>= 1.7.25),
  libsurefire-java (>= 2.17),
  libwagon-file-java,
@@ -37,15 +37,15 @@
  libwagon-http-shaded-java,
  libwagon-provider-api-java,
  libxmlunit-java,
- maven-debian-helper
-Standards-Version: 4.4.0
+ maven-debian-helper (>= 2.6~)
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/java-team/maven.git
 Vcs-Browser: https://salsa.debian.org/java-team/maven
 Homepage: http://maven.apache.org
 
 Package: libmaven3-core-java
 Architecture: all
-Depends: ${misc:Depends}, ${maven:Depends}
+Depends: ${misc:Depends}, ${maven:Depends}, libplexus-utils2-java (>= 3.2)
 Suggests: ${maven:OptionalDepends}
 Replaces: maven (<< 3.0.5-7)
 Breaks: maven (<< 3.0.5-7), gradle (<< 3.2.1-3~)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install

	# compress manpages
	find debian/maven/usr/share/maven/man -type f | xargs gzip -9v -n

get-orig-source:
	-uscan --download-current-version --force-download --rename

## maven 3.8.7

=== debian/changelog ===
maven (3.8.7-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.6.2

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 02 Jan 2023 10:08:40 +0100

maven (3.8.6-1) unstable; urgency=medium

  * New upstream release (Closes: #994876, #988155)
    - Updated the Maven rules
    - Updated the links in /usr/share/maven/lib/
  * Standards-Version updated to 4.6.1
  * Updated the watch file

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 27 Sep 2022 16:51:25 +0200

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
  libwagon-provider-api-java,
  libxmlunit-java,
  maven-debian-helper (>= 2.6~)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/java-team/maven.git
 Vcs-Browser: https://salsa.debian.org/java-team/maven
 Homepage: http://maven.apache.org

## maven 3.8.8

=== debian/changelog ===
maven (3.8.8-2) unstable; urgency=medium

  * Ensure META-INF/sisu/javax.inject.Named for maven-model-builder is still
    generated with maven-parent 43
  * Depend on libmaven-resolver-1.6-java instead of libmaven-resolver-java
  * Standards-Version updated to 4.7.0

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 14 Nov 2024 08:11:04 +0100

maven (3.8.8-1) unstable; urgency=medium

  * New upstream release

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 07 Aug 2024 15:04:27 +0200

maven (3.8.7-2) unstable; urgency=medium

  * Team upload to unstable

 -- tony mancill <tmancill@debian.org>  Sun, 11 Feb 2024 22:14:29 -0800

maven (3.8.7-2~exp1) experimental; urgency=medium

  * Team upload to experimental
  * Patch mvn script to work around failure of Debian jansi to detect a
    TTY when -Djansi.mode=default and thus behave more like upstream.
    By default, -Djansi.mode=force so output is colorized.  When -B or
    --batch-mode is specified, the property is set to jansi.mode=strip.
    This behavior can be overridden by setting MAVEN_JANSI_PROPERTY.
    See Debian bug #1039607.

 -- tony mancill <tmancill@debian.org>  Sun, 07 Jan 2024 18:47:04 -0800

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  libguice-java (>= 4.2.3-2~),
  liblogback-java,
  libmaven-parent-java (>= 31-2~),
- libmaven-resolver-java,
+ libmaven-resolver-1.6-java,
  libmaven-shade-plugin-java,
  libmaven-shared-utils-java (>= 3.2.1),
  libmockito-java,
@@ -38,7 +38,7 @@
  libwagon-provider-api-java,
  libxmlunit-java,
  maven-debian-helper (>= 2.6~)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/java-team/maven.git
 Vcs-Browser: https://salsa.debian.org/java-team/maven
 Homepage: http://maven.apache.org

## maven 3.9.9

=== debian/changelog ===
maven (3.9.9-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
    - Require a Java 8 runtime
    - Depend on maven-resolver >= 1.9
    - Depend on libguice-java (>= 5.1)
    - No longer depend on libwagon-http-shaded-java
    - Align temporarily the default plugins with the versions packaged
  * Added plexus-xml.jar to /usr/share/maven/lib/

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 20 Dec 2024 23:18:55 +0100

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,11 @@
  libeasymock-java,
  libeclipse-sisu-maven-plugin-java (>= 0.3.4),
  libgeronimo-annotation-1.3-spec-java,
- libguice-java (>= 4.2.3-2~),
+ libguice-java (>= 5.1),
  liblogback-java,
  libmaven-parent-java (>= 31-2~),
- libmaven-resolver-1.6-java,
+ libmaven-resolver-java (>= 1.9),
+ libmaven-resolver-transport-http-java (>= 1.9),
  libmaven-shade-plugin-java,
  libmaven-shared-utils-java (>= 3.2.1),
  libmockito-java,
@@ -34,7 +35,6 @@
  libsurefire-java (>= 2.17),
  libwagon-file-java,
  libwagon-http-java,
- libwagon-http-shaded-java,
  libwagon-provider-api-java,
  libxmlunit-java,
  maven-debian-helper (>= 2.6~)
@@ -70,11 +70,11 @@
 Package: maven
 Architecture: all
 Depends:
- default-jre-headless (>= 2:1.7) | java7-runtime-headless,
+ default-jre-headless (>= 2:1.8) | java7-runtime-headless,
  libjansi-java,
  libmaven3-core-java (= ${source:Version}),
  libwagon-file-java,
- libwagon-http-shaded-java,
+ libwagon-http-java,
  ${misc:Depends}
 Replaces: maven2 (<< 2.2.1-11)
 Breaks: maven2 (<< 2.2.1-11)

## maven 3.9.12

=== debian/changelog ===
maven (3.9.12-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
    - Depend on libmaven-resolver-java (>= 1.9.25)
    - Updated the Maven rules
  * Standards-Version updated to 4.7.3

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 04 Feb 2026 15:14:34 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  libguice-java (>= 5.1),
  liblogback-java,
  libmaven-parent-java (>= 31-2~),
- libmaven-resolver-java (>= 1.9),
+ libmaven-resolver-java (>= 1.9.25),
  libmaven-resolver-transport-http-java (>= 1.9),
  libmaven-shade-plugin-java,
  libmaven-shared-utils-java (>= 3.2.1),
@@ -38,7 +38,7 @@
  libwagon-provider-api-java,
  libxmlunit-java,
  maven-debian-helper (>= 2.6~)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/java-team/maven.git
 Vcs-Browser: https://salsa.debian.org/java-team/maven
 Homepage: http://maven.apache.org

## maven proxy-1.2.82.10

=== requirements.txt ===
Flask
requests
flask_httpauth
